Update to J5 - auto update to download 5?

Phoca Download - download manager
rudging
Phoca Newbie
Phoca Newbie
Posts: 2
Joined: 21 Oct 2023, 12:45

Update to J5 - auto update to download 5?

Post by rudging »

Hi I have upgraded to Joomla 5 and have Phoca Download 4.0.9 and phoca gallery 4.5.5. They are both working ok after the upgrade - I did not expect this! The site is not asking me to update to Phoca Download 5 which I expected it would. Will the update link be updated to ask me to update Phoca or will I have to do something? Thanks
User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 47704
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Update to J5 - auto update to download 5?

Post by Jan »

Hi, both should work but with enabled Backward Compatibility plugin. If you will disable the plugin, they will stop working. Both have new versions (still Beta) so if both will be Stable for Joomla 5, it will be good to update them to version 5.

Jan
If you find Phoca extensions useful, please support the project
jobrusche
Phoca Member
Phoca Member
Posts: 16
Joined: 18 Apr 2012, 16:26

Re: Update to J5 - auto update to download 5?

Post by jobrusche »

I just installed PhocaGallery 5.0 STABLE and that went OK.
Is PhocaDownload following soon ? In november '23 it was at beta7 ..

Kind regards,
Johan.
User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 47704
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Update to J5 - auto update to download 5?

Post by Jan »

Hi, yes, I am working on stable version now.

Jan
If you find Phoca extensions useful, please support the project
robior
Phoca Newbie
Phoca Newbie
Posts: 3
Joined: 01 Nov 2014, 13:12

Re: Update to J5 - auto update to download 5?

Post by robior »

I tried to update Joomla 4.4.2 to version 5.0.2. I subsequently updated Phocadownload to version 5.0.1
Phocadownload only works if I keep Backward Compatibility plugin enabled
Will there be an update to Phocadownload that allows you to disable the Backward Compatibility plugin?
Congratulations for your work!
Best regards
User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 47704
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Update to J5 - auto update to download 5?

Post by Jan »

Hi, where exaclty do you get the problem, I run all my test servers without Backward Compatibility plugin enabled. Testing Phoca Download and everything is OK. Can you disable the plugin and add info about where exactly do you get the problem (with debug mode enabled and trace enabled)?

Thank you,
Jan
If you find Phoca extensions useful, please support the project
robior
Phoca Newbie
Phoca Newbie
Posts: 3
Joined: 01 Nov 2014, 13:12

Re: Update to J5 - auto update to download 5?

Post by robior »

I work on my local server (Xampp) without Backward Compatibility plugin enabled and I get the attached messages:
https://imgur.com/51yMEqw
https://imgur.com/gBABp7c
(BBCode is not allowed)
Best regards
Roberto
User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 47704
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Update to J5 - auto update to download 5?

Post by Jan »

Hi, thank you for the info, this is bug, just change JRoute to Route on line 69 in file components/com_phocadownload/views/category/tmpl/default_files.php as hotfix, I will fix it for the next release.

Thank you, Jan
If you find Phoca extensions useful, please support the project
Post Reply